<?php
    require('../functions/conexion.php');

    function get_nota($id_nota){
        $nota = query("CALL sp_cons_nota(2,'$id_nota')");
        $datos=array();
        while($resultado=mysqli_fetch_assoc($nota))
        {
            //$datos[0]["ID"]=$resultado["ID"];
            //$datos[2]["HORA_INI"] = $resultado["HORA_INI"];
            //$datos[4]["EDICION"] = $resultado["EDICION"];
            //

            $datos[0]["CLAVE"] = $resultado["CLAVE"];
            $datos[1]["NOMBRE"] = $resultado["NOMBRE"];
            $datos[2]["ZONA"] = $resultado["ZONA"];
            $datos[3]["MESA"] = $resultado["MESA"];
            $datos[4]["PERSONAS"] = $resultado["PERSONAS"];
            $datos[5]["SUBTOTAL"] = $resultado["SUBTOTAL"];
            $datos[6]["DESCUENTO"] = $resultado["DESCUENTO"];
            $datos[7]["TOTAL"] = $resultado["TOTAL"];
            //////////////////// AÑADIR A SERVIDOR ///////////////////////////
            $datos[8]["FECHA_HORA_EDT"] = $resultado["FECHA_HORA_EDT"];
        }
        return $datos;  
    }
    function get_nota2($id_nota){
        $nota = query("SELECT A.id 'ID', A.ntv_no_nota 'CLAVE', A.ntv_hora_ini 'HORA_INI', B.uss_nombre 'NOMBRE', A.ntv_hora_edt 'EDICION', A.ntv_zona_ate
        'ZONA', A.ntv_subtotal 'SUBTOTAL', A.ntv_total_descuento 'DESCUENTO', A.ntv_total_nota 'TOTAL', A.ntv_no_mesa 'MESA', 
        A.ntv_no_personas 'PERSONAS', A.updated_at 'FECHA_HORA_EDT', A.ntv_estatus 'ESTATUS',
        YEAR(A.ntv_fecha_creacion) 'FECHA', case when YEAR(A.ntv_fecha_creacion) = YEAR(CURRENT_DATE()) THEN 1 ELSE 0 END fechav
        FROM notas_venta A, usuarios B WHERE A.id_usuario = B.id AND A.id=$id_nota;");
        $datos=array();
        while($resultado=mysqli_fetch_assoc($nota))
        {
            //$datos[0]["ID"]=$resultado["ID"];
            //$datos[2]["HORA_INI"] = $resultado["HORA_INI"];
            //$datos[4]["EDICION"] = $resultado["EDICION"];
            //

            $datos[0]["CLAVE"] = $resultado["CLAVE"];
            $datos[1]["NOMBRE"] = $resultado["NOMBRE"];
            $datos[2]["ZONA"] = $resultado["ZONA"];
            $datos[3]["MESA"] = $resultado["MESA"];
            $datos[4]["PERSONAS"] = $resultado["PERSONAS"];
            $datos[5]["SUBTOTAL"] = $resultado["SUBTOTAL"];
            $datos[6]["DESCUENTO"] = $resultado["DESCUENTO"];
            $datos[7]["TOTAL"] = $resultado["TOTAL"];
            //////////////////// AÑADIR A SERVIDOR ///////////////////////////
            $datos[8]["FECHA_HORA_EDT"] = $resultado["FECHA_HORA_EDT"];
            $datos[9]["FECHA"] = $resultado["FECHA"];
            $datos[10]["fechav"] = $resultado["fechav"];
        }
        return $datos;  
    }
    
    function get_productos_nota($id_nota){
        $reg=0;
        $datos=array();
        $query = query("CALL sp_cons_productos_nota(1,'$id_nota')");
        while($resultado=mysqli_fetch_assoc($query))
        {
            ///AÑADIR A SERVIDOR 
            $datos[$reg]["ID"]=$resultado["ID"];
            $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
            $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
            $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
            //////////////////// AÑADIR A SERVIDOR ///////////////////////////
            $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
            $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
            $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
            $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
            $reg++;
        }
        
        return $datos;
    }
    function get_productos_notaAct($id_nota, $fecha){
        $reg=0;
        $datos=array();
        $query = query("SELECT A.id 'ID', B.pro_nombre 'PRO_NOMBRE', A.pdn_cantidad 'CANTIDAD', 
        A.pdn_precio 'PRECIO', B.pro_clasificaciones 'CLASIFICACION', A.pdn_tiempo 'TIEMPO', 
        A.pdn_comentario 'COMENTARIO', A.pdn_comensal 'COMENSAL' 
        FROM productos_nota A, productos B WHERE id_nota_venta = '$id_nota' AND A.id_producto = B.id AND A.pdn_estatus NOT IN ('cancelado', 'eliminado');");
        while($resultado=mysqli_fetch_assoc($query))
        {
            ///AÑADIR A SERVIDOR 
            $datos[$reg]["ID"]=$resultado["ID"];
            $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
            $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
            $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
            //////////////////// AÑADIR A SERVIDOR ///////////////////////////
            $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
            $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
            $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
            $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
            $reg++;
        }
        
        return $datos;
    }
    function get_productos_nota_historico($id_nota, $fecha){
        $reg=0;
        $datos=array();
        $query = query("SELECT A.id 'ID', B.pro_nombre 'PRO_NOMBRE', A.pdn_cantidad 'CANTIDAD', 
        A.pdn_precio 'PRECIO', B.pro_clasificaciones 'CLASIFICACION', A.pdn_tiempo 'TIEMPO', 
        A.pdn_comentario 'COMENTARIO', A.pdn_comensal 'COMENSAL' 
        FROM historico_$fecha A, productos B WHERE id_nota_venta = '$id_nota' AND A.id_producto = B.id;");
        while($resultado=mysqli_fetch_assoc($query))
        {
            ///AÑADIR A SERVIDOR 
            $datos[$reg]["ID"]=$resultado["ID"];
            $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
            $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
            $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
            //////////////////// AÑADIR A SERVIDOR ///////////////////////////
            $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
            $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
            $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
            $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
            $reg++;
        }
        
        return $datos;
    }
    //////////////////// AÑADIR A SERVIDOR ///////////////////////////
    function get_ultimos_productos_nota($id_nota){
        $reg=0;
        $datos=array();
        $query = query("call sp_cons_ultimos_productos('$id_nota',1)");

        while($resultado=mysqli_fetch_assoc($query))
        {
            $datos[$reg]["ID"]=$resultado["ID"];
            $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
            $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
            $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
            $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
            $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
            $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
            $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
            $reg++;
        }
        
        return $datos;
    }
    function clasificaciones($id_nota){
        $query=query("SELECT DISTINCT A.pro_clasificaciones FROM productos A, productos_nota B WHERE A.id=B.id_producto AND B.id_nota_venta='$id_nota'");
        $datos=array();
        while ($fila = mysqli_fetch_array($query)) {
            $datos[] = $fila["pro_clasificaciones"];
        }
        return $datos;
    }
    function filtrar_por_clasificaciones($productos, $clasificacion) {
        $productos_filtrados = array();
        foreach ($productos as $producto) {
            if ($producto["CLASIFICACION"] == $clasificacion) {
                $productos_filtrados[] = $producto;
            }
        }
        return $productos_filtrados;
    }
    function clasificaciones2($id_nota){
        $query=query("SELECT DISTINCT A.pro_clasificaciones FROM productos A, productos_nota B WHERE A.id=B.id_producto AND B.impreso='' AND B.id_nota_venta='$id_nota'");
        $datos=array();
        while ($fila = mysqli_fetch_array($query)) {
            $datos[] = $fila["pro_clasificaciones"];
        }
        return $datos;
    }

    function get_productos_nota1($id_nota){
        $reg=0;
        $datos=array();
        $query = query("CALL sp_cons_productos_nota(1,'$id_nota')");
        while($resultado=mysqli_fetch_assoc($query))
        {
            ///AÑADIR A SERVIDOR 
            $datos[$reg]["ID"]=$resultado["ID"];
            $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
            $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
            $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
            //////////////////// AÑADIR A SERVIDOR ///////////////////////////
            $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
            $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
            $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
            $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
            $reg++;
        }
        
        return $datos;
    }

    function clasificaciones3($id_nota){
        $query=query("SELECT DISTINCT A.pro_clasificaciones FROM productos A, productos_nota B WHERE A.id=B.id_producto AND B.id_nota_venta='$id_nota' AND A.pro_clasificaciones != 'BAR'");
        $datos=array();
        if ($query->num_rows>0) {
            while ($fila = mysqli_fetch_array($query)) {
                $datos[] = $fila["pro_clasificaciones"];
            }
        }else{
             $datos[0] =0;
        }

        return $datos;
    }
    function clasificaciones4($id_nota){
        $query=query("SELECT DISTINCT A.pro_clasificaciones FROM productos A, productos_nota B WHERE A.id=B.id_producto AND B.impreso='' AND B.id_nota_venta='$id_nota' AND A.pro_clasificaciones != 'BAR'");
        $datos=array();
        if ($query->num_rows>0) {
            while ($fila = mysqli_fetch_array($query)) {
                $datos[] = $fila["pro_clasificaciones"];
            }
        }else{
            $datos[0] =0;
        }
        
        
        
        return $datos;
    }
    function get_productos_nota2($id_nota){
        $reg=0;
        $datos=array();
        $query = query("CALL sp_cons_productos_nota(2,'$id_nota')");
        while($resultado=mysqli_fetch_assoc($query))
        {
            ///AÑADIR A SERVIDOR 
            $datos[$reg]["ID"]=$resultado["ID"];
            $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
            $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
            $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
            //////////////////// AÑADIR A SERVIDOR ///////////////////////////
            $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
            $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
            $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
            $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
           
            $reg++;
        }
        
        return $datos;
    }
    function get_ultimos_productos_nota2($id_nota){
        $reg=0;
        $datos=array();
        $query = query("call sp_cons_ultimos_productos('$id_nota',2)");
        
            while($resultado=mysqli_fetch_assoc($query))
            {
                $datos[$reg]["ID"]=$resultado["ID"];
                $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
                $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
                $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
                $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
                $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
                $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
                $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
                
                $reg++;
            }
        
        
        
        return $datos;
    }
?>